Bug 851818 - Review Request: libcompizconfig - Configuration backend for compiz
Review Request: libcompizconfig - Configuration backend for compiz
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-25 20:13 EDT by Wolfgang Ulbrich
Modified: 2013-02-12 08:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-28 09:54:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
leigh123linux: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Ulbrich 2012-08-25 20:13:52 EDT
Spec URL: http://raveit65.fedorapeople.org/compiz/SPEC/libcompizconfig.spec
SRPM URL: http://raveit65.fedorapeople.org/compiz/SRPM/libcompizconfig-0.8.8-2.fc17.src.rpm
Description: The Compiz Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
through plugins and themes contributed by the community giving a
rich desktop experience.
Fedora Account System Username: raveit65
Comment 1 Wolfgang Ulbrich 2012-08-26 06:33:29 EDT
This is a re-review of a retired package.
Comment 3 Wolfgang Ulbrich 2012-12-02 20:16:25 EST
scratch build you'll find here.
http://koji.fedoraproject.org/koji/taskinfo?taskID=4749628
Comment 4 leigh scott 2012-12-08 07:23:26 EST
1. Fix

libcompizconfig.x86_64: W: incoherent-version-in-changelog 0.8.8-3 ['1:0.8.8-3.fc19', '1:0.8.8-3']


Change

%changelog
* Sun Dec 02 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.8-3
- add patch from Jasmine Hassan jasmine.aura@gmail.com
- fix binary-or-shlib-defines-rpath
- initial build for fedora
- add epoch


To

%changelog
* Sun Dec 02 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.8-3
- add patch from Jasmine Hassan jasmine.aura@gmail.com
- fix binary-or-shlib-defines-rpath
- initial build for fedora
- add epoch


2. Fix 

Remove

Requires:       pkgconfig


3. Fix

libcompizconfig.src:26: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 26)
Comment 5 Wolfgang Ulbrich 2012-12-08 09:00:13 EST
Thx for your hints.
New scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4768898

%changelog
* Sat Dec 08 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.8-4
- fix incoherent-version-in-changelog
- remove requires pkgconfig
- fix mixed-use-of-spaces-and-tabs

Spec URL: http://raveit65.fedorapeople.org/compiz/SPEC/libcompizconfig.spec
SRPM URL: http://raveit65.fedorapeople.org/compiz/SRPM/libcompizconfig-0.8.8-4.fc19.src.rpm
Comment 6 leigh scott 2012-12-08 12:17:02 EST
Approved



Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Package do not use a name that already exist
     Note: A package already exist with this name, please check
     https://admin.fedoraproject.org/pkgdb/acls/name/libcompizconfig
See: https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names


===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[ ]: Package contains no bundled libraries.
[ ]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[ ]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[ ]: Macros in Summary, %description expandable at SRPM build time.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[ ]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package
     devel
[ ]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later)", "GPL (v2 or later)", "Unknown or generated". 3
     files have unknown license. Detailed output of licensecheck in
     /home/leigh/Desktop/review/review-libcompizconfig/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[ ]: Package is named according to the Package Naming Guidelines.
[x]: No %config files under /usr.
[ ]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[!]: Package do not use a name that already exist
     Note: A package already exist with this name, please check
     https://admin.fedoraproject.org/pkgdb/acls/name/libcompizconfig
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[ ]: Package is not relocatable.
[ ]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[ ]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 4 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[ ]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: libcompizconfig-debuginfo-0.8.8-4.fc19.x86_64.rpm
          libcompizconfig-0.8.8-4.fc19.src.rpm
          libcompizconfig-devel-0.8.8-4.fc19.x86_64.rpm
          libcompizconfig-0.8.8-4.fc19.x86_64.rpm
libcompizconfig.src: W: spelling-error Summary(en_US) compiz -> compile
libcompizconfig.src: W: spelling-error %description -l en_US compiz -> compile
libcompizconfig-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint libcompizconfig-debuginfo libcompizconfig libcompizcon 
fig-devel
libcompizconfig-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
libcompizconfig-debuginfo-0.8.8-4.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    

libcompizconfig-devel-0.8.8-4.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/pkg-config
    compiz-devel >= 0.8.8
    libcompizconfig(x86-64) = 1:0.8.8-4.fc19
    libcompizconfig.so.0()(64bit)
    pkgconfig(compiz)

libcompizconfig-0.8.8-4.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /sbin/ldconfig
    config(libcompizconfig) = 1:0.8.8-4.fc19
    libX11.so.6()(64bit)
    libc.so.6()(64bit)
    libcompizconfig.so.0()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libprotobuf.so.7()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libxml2.so.2(LIBXML2_2.6.0)(64bit)
    rtld(GNU_HASH)



Provides
--------
libcompizconfig-debuginfo-0.8.8-4.fc19.x86_64.rpm:
    
    libcompizconfig-debuginfo = 1:0.8.8-4.fc19
    libcompizconfig-debuginfo(x86-64) = 1:0.8.8-4.fc19

libcompizconfig-devel-0.8.8-4.fc19.x86_64.rpm:
    
    libcompizconfig-devel = 1:0.8.8-4.fc19
    libcompizconfig-devel(x86-64) = 1:0.8.8-4.fc19
    pkgconfig(libcompizconfig) = 0.8.8

libcompizconfig-0.8.8-4.fc19.x86_64.rpm:
    
    config(libcompizconfig) = 1:0.8.8-4.fc19
    libccp.so()(64bit)
    libcompizconfig = 1:0.8.8-4.fc19
    libcompizconfig(x86-64) = 1:0.8.8-4.fc19
    libcompizconfig.so.0()(64bit)
    libini.so()(64bit)



Unversioned so-files
--------------------
libcompizconfig-0.8.8-4.fc19.x86_64.rpm: /usr/lib64/compiz/libccp.so
libcompizconfig-0.8.8-4.fc19.x86_64.rpm: /usr/lib64/compizconfig/backends/libini.so

MD5-sum check
-------------
http://releases.compiz.org/0.8.8/libcompizconfig-0.8.8.tar.bz2 :
  CHECKSUM(SHA256) this package     : 50a81aba31d9517587f7d046b7161eb4204ddceb422d09d036a412bb80381490
  CHECKSUM(SHA256) upstream package : 50a81aba31d9517587f7d046b7161eb4204ddceb422d09d036a412bb80381490


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -n libcompizconfig -p
Comment 7 Wolfgang Ulbrich 2012-12-08 12:52:58 EST
Package Change Request
======================
Package Name: libcompizconfig
New Branches: f18
Owners: raveit65
InitialCC:
Comment 8 Gwyn Ciesla 2012-12-08 20:48:56 EST
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-01-16 18:04:31 EST
libcompizconfig-0.8.8-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libcompizconfig-0.8.8-5.fc18
Comment 10 Fedora Update System 2013-01-19 22:17:29 EST
libcompizconfig-0.8.8-5.fc18 has been pushed to the Fedora 18 testing repository.
Comment 11 Fedora Update System 2013-01-28 09:54:26 EST
libcompizconfig-0.8.8-5.fc18 has been pushed to the Fedora 18 stable repository.
Comment 12 Wolfgang Ulbrich 2013-02-12 07:18:30 EST
Package Change Request
======================
Package Name: libcompizconfig
New Branches: f17
Owners: raveit65
InitialCC:
Comment 13 Gwyn Ciesla 2013-02-12 08:27:34 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.